%global srcname lz4

Summary:        LZ4 Bindings for Python
Name:           python-%{srcname}
Version:        4.3.2
Release:        7%{?dist}
License:        BSD
URL:            https://github.com/%{name}/%{name}
Source0:        https://files.pythonhosted.org/packages/source/l/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  lz4-devel python3-devel gcc python3-psutil
BuildRequires:  python3-pytest python3-pytest-cov

%description
Python bindings for the lz4 compression library.

%package -n python3-lz4
Summary:        LZ4 Bindings for Python 3

%description -n python3-lz4
Python 3 bindings for the lz4 compression library.

%prep
%autosetup -n %{srcname}-%{version} -p1

rm lz4libs/lz4*.[ch]

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

find %{buildroot}%{python3_sitearch} -name 'lz4*.so' \
    -exec chmod 0755 {} \;

%check
%{__python3} -m pytest --cov=lz4/block --cov=lz4/frame tests/block tests/frame

%files -n python3-lz4
%license LICENSE
%doc README.rst
%{python3_sitearch}/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.2-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Wed Sep 11 2024 Feng Weiyao <wynnfeng@tencent.com> - 4.3.2-6
- [type] other
- [desc] replace tox with pytest

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.2-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.2-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Shuo Wang <abushwang@tencent.com> - 4.3.2-1
- initial build
